## cfengine3 3.21.0

=== tests/acceptance/25_cf-execd/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tests/acceptance/25_cf-execd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  Copyright 2021 Northern.tech AS
#
#  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; version 3.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
#
# To the extent this program is licensed as part of the Enterprise
# versions of CFEngine, the applicable Commercial Open Source License
# (COSL) may apply to this file if you as a licensee so wish it. See
# included file COSL.txt.
#


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cfengine
pkgincludedir = $(includedir)/cfengine
pkglibdir = $(libdir)/cfengine
pkglibexecdir = $(libexecdir)/cfengine
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = cf-execd-test$(EXEEXT)
subdir = tests/acceptance/25_cf-execd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/adl_recursive_eval.m4 \
	$(top_srcdir)/m4/cf3_check_proper_func.m4 \
	$(top_srcdir)/m4/cf3_path_root_prog.m4 \
	$(top_srcdir)/m4/cf3_with_library.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__cf_execd_test_SOURCES_DIST = cf-execd-rpl-functions.c
am_cf_execd_test_OBJECTS = cf-execd-rpl-functions.$(OBJEXT)
cf_execd_test_OBJECTS = $(am_cf_execd_test_OBJECTS)
cf_execd_test_DEPENDENCIES =  \
	../../../cf-execd/libcf-execd-test.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(cf_execd_test_SOURCES)
DIST_SOURCES = $(am__cf_execd_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing automake-1.15
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CFLAGS =             -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99
CORE_LDFLAGS =  -R/lib            -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
CORE_LIBS = -llmdb     -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
CPP = gcc -E
CPPFLAGS =  -std=gnu99
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETCONF = /usr/bin/getconf
GETLOADAVG_LIBS = 
GREP = /bin/grep
HOSTNAME = /bin/hostname
INIT_D_PATH = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KMEM_GROUP = 
LCOV = 
LCOV_GENHTML = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBACL_CFLAGS = 
LIBACL_CPPFLAGS = 
LIBACL_LDFLAGS = 
LIBACL_LIBS =  
LIBACL_PATH = default path
LIBCURL_CFLAGS = 
LIBCURL_CPPFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS =  
LIBCURL_PATH = default path
LIBOBJS =  ${LIBOBJDIR}strlcat$U.o ${LIBOBJDIR}strlcpy$U.o ${LIBOBJDIR}memdup$U.o ${LIBOBJDIR}closefrom$U.o ${LIBOBJDIR}rpl_ctime$U.o ${LIBOBJDIR}strrstr$U.o
LIBS = -ldl -lrt -lm  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVIRT_CFLAGS = 
LIBVIRT_CPPFLAGS = 
LIBVIRT_LDFLAGS = 
LIBVIRT_LIBS =  
LIBVIRT_PATH = default path
LIBXML2_CFLAGS = 
LIBXML2_CPPFLAGS = -Icheck/include/libxml2
LIBXML2_LDFLAGS = 
LIBXML2_LIBS =  
LIBXML2_PATH = default path
LIBYAML_CFLAGS = 
LIBYAML_CPPFLAGS = 
LIBYAML_LDFLAGS = 
LIBYAML_LIBS =  
LIBYAML_PATH = default path
LIPO = 
LMDB_CFLAGS = 
LMDB_CPPFLAGS = 
LMDB_LDFLAGS =  -R/lib
LMDB_LIBS = -llmdb  
LMDB_PATH = default path
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}strlcat$U.lo ${LIBOBJDIR}strlcpy$U.lo ${LIBOBJDIR}memdup$U.lo ${LIBOBJDIR}closefrom$U.lo ${LIBOBJDIR}rpl_ctime$U.lo ${LIBOBJDIR}strrstr$U.lo
LT_SYS_LIBRARY_PATH = 
MAINT = 
MAKEINFO = 
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CPPFLAGS = 
MYSQL_LDFLAGS = 
MYSQL_LIBS =  
MYSQL_PATH = default path
NEED_SETGID = false
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = 
OPENSSL_CPPFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto  
OPENSSL_PATH = default path
OS_ENVIRONMENT_PATH = /etc/default
OTOOL = 
OTOOL64 = 
PACKAGE = cfengine
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cfengine
PACKAGE_STRING = cfengine 3.21.0
PACKAGE_TARNAME = cfengine
PACKAGE_URL = 
PACKAGE_VERSION = 3.21.0
PAM_CFLAGS = 
PAM_CPPFLAGS = 
PAM_LDFLAGS =  -R/lib
PAM_LIBS = -lpam -ldl -lrt -lm  
PAM_PATH = default path
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_CPPFLAGS = 
PCRE_LDFLAGS = 
PCRE_LIBS = -lpcre  
PCRE_PATH = default path
PERL = /usr/bin/perl
PKG_CONFIG = 
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSTGRESQL_CFLAGS = 
POSTGRESQL_CPPFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS =  
POSTGRESQL_PATH = default path
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
QDBM_CFLAGS = 
QDBM_CPPFLAGS = 
QDBM_LDFLAGS = 
QDBM_LIBS = 
QDBM_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSTEMD_SERVICE_PATH = /usr/lib/systemd/system
SYSTEMD_SOCKET_CFLAGS = 
SYSTEMD_SOCKET_CPPFLAGS = 
SYSTEMD_SOCKET_LDFLAGS = 
SYSTEMD_SOCKET_LIBS =  
SYSTEMD_SOCKET_PATH = default path
TOKYOCABINET_CFLAGS = 
TOKYOCABINET_CPPFLAGS = 
TOKYOCABINET_LDFLAGS = 
TOKYOCABINET_LIBS = 
TOKYOCABINET_PATH = 
VERSION = 3.21.0
XML2_CONFIG = 
YACC = bison -y
YFLAGS = 
abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core

=== debian/changelog ===
cfengine3 (3.21.0-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:33:15 +0000

cfengine3 (3.21.0-3) unstable; urgency=medium

  * cleanup after build (closes: #1043947)
  * wrap-and-sort debian files

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 01 Sep 2023 15:35:21 +0200

cfengine3 (3.21.0-2) unstable; urgency=medium

  * fix systemd path (closes: #1034218)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 12 Apr 2023 10:56:05 +0200

cfengine3 (3.21.0-1) unstable; urgency=medium

  * rename download source tarball
  * New upstream version 3.21.0

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 10 Jan 2023 16:46:13 +0100

=== debian/control ===
Source: cfengine3
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
Uploaders:
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 bison,
 debhelper (>= 10),
 flex,
 libacl1-dev,
 liblmdb-dev,
 libpam0g-dev,
 libpcre3-dev,
 libssl-dev,
 libvirt-dev,
 libxml2-dev,
 libyaml-dev,
 pkg-config,
 systemd,
Standards-Version: 4.1.1
Homepage: https://cfengine.com/product/community/
Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
Vcs-Browser: https://salsa.debian.org/cfengine-team/cfengine3

Package: cfengine3
Architecture: any
Depends:
 e2fsprogs,
 libpromises3 (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
Description: tool for configuring and maintaining network machines
 Cfengine is a suite of programs for integrated autonomic management
 of either individual or networked computers.
 .
 Cfengine 3 is both a more powerful and much simplified version of cfengine,
 which has been designed to inter operate with cfengine 2 rather than be
 backwards compatible with it.
 .
 With cfengine 3 you can install, configure and maintain computers using
 powerful hands-free tools.

Package: libpromises3
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: libpromises library for cfengine3 binaries
 The main purpose of cfengine is to allow the system administrator
 to create a single central file which will define how every host
 on a network should be configured.
 .
 This package contains the libpromises3 library.

=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:ts=4:sw=4:

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export EXPLICIT_VERSION = $(shell dpkg-parsechangelog -S version | cut  -f 1 -d -)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

SYSTEMDSYSTEMUNITDIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)

# Exporting V=1 so that we can see build flags in the output.
export V=1

%:
	dh $@

# TODO(antonio): disable sql in experimental as postgresql is not ready for
# openssl1.1 transition, re-enable once it becomes ready.
override_dh_auto_configure:
	dh_auto_configure -- \
			--enable-fhs \
			--libdir=/usr/lib \
			--with-logdir=/var/log/cfengine3 \
			--with-piddir=/var/run/cfengine3 \
			--with-workdir=/var/lib/cfengine3 \
			--without-postgresql \
			--without-mysql \
			--with-libvirt \
			--with-lmdb \
			--with-libxml2 \
			--with-libyaml \
			--with-systemd-service=$(SYSTEMDSYSTEMUNITDIR)

	dh_auto_configure --sourcedirectory=masterfiles -- \
	        --prefix=/usr/share/cfengine3 \
			--with-core=$(CURDIR)

override_dh_clean:
	dh_clean --exclude=#008.cf#
	rm -fv libntech/tests/unit/*xml
	rm -fv libntech/tests/unit/xml_tmp_*
	rm -fv tests/unit/xml_tmp_case
override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dmasterfiles

override_dh_compress:
	dh_compress -X.cf

override_dh_strip:
	dh_strip --dbgsym-migration='cfengine3-dbg (<< 3.10.2-3~)'

override_dh_installman:
	## Man pages are created with an undocumented flag
	/bin/mkdir -p $(CURDIR)/debian/cfengine3/usr/share/man/man8/
	for p in cf-agent cf-key cf-promises cf-runagent cf-execd cf-serverd cf-monitord; \
		do $(CURDIR)/$$p/$$p -M > $(CURDIR)/debian/cfengine3/usr/share/man/man8/$$p.8 ;\
        done
	dh_installman

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dmasterfiles

override_dh_install:
	dh_install --exclude=examples --exclude=ChangeLog

## cfengine3 3.21.4

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -316,10 +316,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.21.0
+PACKAGE_STRING = cfengine 3.21.4
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.21.0
+PACKAGE_VERSION = 3.21.4
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -335,6 +335,7 @@
 PKG_CONFIG = 
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
+PLATFORM_SELINUX_POLICIES = 
 POSTGRESQL_CFLAGS = 
 POSTGRESQL_CPPFLAGS = 
 POSTGRESQL_LDFLAGS = 
@@ -364,10 +365,9 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.21.0
+VERSION = 3.21.4
 XML2_CONFIG = 
 YACC = bison -y
 YFLAGS = 
 abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
 abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core

=== debian/changelog ===
cfengine3 (3.21.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch B-D to systemd-dev.  (Closes: #1060533)
  * Switch B-D to pkgconf.
  * Add B-D: passwd.  (Closes: #1070850)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 May 2024 02:16:43 +0200

cfengine3 (3.21.4-1.1) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Non-maintainer upload.
  * d/patches/time-t-long-long.patch: coerce time_t to long long
    (closes: #1068665)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 00:09:03 +0200

cfengine3 (3.21.4-1) unstable; urgency=medium

  * New upstream version 3.21.4
  * add debian/salsa-ci.yml
  * fix systemd path
  * fix copyright file

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 12 Mar 2024 12:14:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
+Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
 Uploaders:
  Christoph Martin <martin@uni-mainz.de>,
 Build-Depends:
@@ -17,8 +16,9 @@
  libvirt-dev,
  libxml2-dev,
  libyaml-dev,
- pkg-config,
- systemd,
+ passwd,
+ pkgconf,
+ systemd-dev,
 Standards-Version: 4.1.1
 Homepage: https://cfengine.com/product/community/
 Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
@@ -29,7 +29,6 @@
 Depends:
  e2fsprogs,
  libpromises3 (= ${binary:Version}),
- lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

## cfengine3 3.24.0

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -125,8 +125,7 @@
 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
 	$(top_srcdir)/m4/lt~obsolete.m4 \
 	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
-	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
-	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
+	$(top_srcdir)/m4/tar.m4 $(top_srcdir)/m4/cf3_gcc_flags.m4 \
 	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -219,9 +218,9 @@
 CCDEPMODE = depmode=gcc3
 CFLAGS = -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
 CORE_CFLAGS =             -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
-CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99
+CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99 -I./libcfecompat
 CORE_LDFLAGS =  -R/lib            -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
-CORE_LIBS = -llmdb     -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
+CORE_LIBS = -llmdb     -lpcre2-8   -lssl -lcrypto                -ldl -lrt -lm  
 CPP = gcc -E
 CPPFLAGS =  -std=gnu99
 CYGPATH_W = echo
@@ -264,7 +263,7 @@
 LIBCURL_LDFLAGS = 
 LIBCURL_LIBS =  
 LIBCURL_PATH = default path
-LIBOBJS =  ${LIBOBJDIR}strlcat$U.o ${LIBOBJDIR}strlcpy$U.o ${LIBOBJDIR}memdup$U.o ${LIBOBJDIR}closefrom$U.o ${LIBOBJDIR}rpl_ctime$U.o ${LIBOBJDIR}strrstr$U.o
+LIBOBJS = 
 LIBS = -ldl -lrt -lm  
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBVIRT_CFLAGS = 
@@ -289,7 +288,7 @@
 LMDB_LIBS = -llmdb  
 LMDB_PATH = default path
 LN_S = ln -s
-LTLIBOBJS =  ${LIBOBJDIR}strlcat$U.lo ${LIBOBJDIR}strlcpy$U.lo ${LIBOBJDIR}memdup$U.lo ${LIBOBJDIR}closefrom$U.lo ${LIBOBJDIR}rpl_ctime$U.lo ${LIBOBJDIR}strrstr$U.lo
+LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 MAINT = 
 MAKEINFO = 
@@ -316,21 +315,21 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.21.4
+PACKAGE_STRING = cfengine 3.24.0
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.21.4
+PACKAGE_VERSION = 3.24.0
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
 PAM_LIBS = -lpam -ldl -lrt -lm  
 PAM_PATH = default path
 PATH_SEPARATOR = :
-PCRE_CFLAGS = 
-PCRE_CPPFLAGS = 
-PCRE_LDFLAGS = 
-PCRE_LIBS = -lpcre  
-PCRE_PATH = default path
+PCRE2_CFLAGS = 
+PCRE2_CPPFLAGS = 
+PCRE2_LDFLAGS = 
+PCRE2_LIBS = -lpcre2-8  
+PCRE2_PATH = default path
 PERL = /usr/bin/perl
 PKG_CONFIG = 
 PKG_CONFIG_LIBDIR = 
@@ -358,16 +357,27 @@
 SYSTEMD_SOCKET_CFLAGS = 
 SYSTEMD_SOCKET_CPPFLAGS = 
 SYSTEMD_SOCKET_LDFLAGS = 
-SYSTEMD_SOCKET_LIBS =  
+SYSTEMD_SOCKET_LIBS = -ldl -lrt -lm  
 SYSTEMD_SOCKET_PATH = default path
 TOKYOCABINET_CFLAGS = 
 TOKYOCABINET_CPPFLAGS = 
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.21.4
+VERSION = 3.24.0
 XML2_CONFIG = 
 YACC = bison -y
 YFLAGS = 
 abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
 abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core
+ac_ct_AR = ar
+ac_ct_CC = gcc
+ac_ct_DUMPBIN = 
+acx_pthread_config = 
+am__include = include
+am__leading_dot = .
+am__quote = 
+am__tar = tar --format=ustar --hard-dereference -chf - "$$tardir"
+am__untar = tar -xf -

=== debian/changelog ===
cfengine3 (3.24.0-2) unstable; urgency=medium

  * Team upload
  * Import changes from previous NMUs:

  [ Emanuele Rocca ]
  * d/patches/time-t-long-long.patch: coerce time_t to long long (closes: #1078245)

  [ Andreas Beckmann ]
  * Switch B-D to pkgconf
  * Add B-D: passwd (closes: #1070850)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Aug 2024 16:58:36 +0200

cfengine3 (3.24.0-1) unstable; urgency=medium

  * New upstream version 3.24.0
  * depend on new libpcre2 onstead of obsolete libpcre3 (closes: #1000061)
  * fix build with systemd and pkg-config

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 05 Aug 2024 20:40:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libacl1-dev,
  liblmdb-dev,
  libpam0g-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libssl-dev,
  libvirt-dev,
  libxml2-dev,

## cfengine3 3.24.1

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -206,13 +206,13 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing automake-1.15
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing automake-1.15
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -315,10 +315,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.24.0
+PACKAGE_STRING = cfengine 3.24.1
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.24.0
+PACKAGE_VERSION = 3.24.1
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -364,14 +364,14 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.24.0
+VERSION = 3.24.1
 XML2_CONFIG = 
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core
+abs_builddir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@4/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN =

=== debian/changelog ===
cfengine3 (3.24.1-2syncable1) plucky; urgency=medium

  * Disable several failing, flaky process-based tests causing an FTBFS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 12:24:42 -0500

cfengine3 (3.24.1-2) unstable; urgency=medium

  * include merge request 3 to make url_get availlable (closes: #1100635)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 17 Mar 2025 12:19:50 +0100

cfengine3 (3.24.1-1) unstable; urgency=medium

  * change watch file to version numbers divisible by 3
  * New upstream version 3.24.1
  * bump Standards-Version to 4.7.0

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Feb 2025 10:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
 Uploaders:
  Christoph Martin <martin@uni-mainz.de>,
 Build-Depends:
@@ -9,6 +10,7 @@
  debhelper (>= 10),
  flex,
  libacl1-dev,
+ libcurl-dev,
  liblmdb-dev,
  libpam0g-dev,
  libpcre2-dev,
@@ -19,7 +21,7 @@
  passwd,
  pkgconf,
  systemd-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.7.0
 Homepage: https://cfengine.com/product/community/
 Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
 Vcs-Browser: https://salsa.debian.org/cfengine-team/cfengine3

=== debian/watch ===
version=4
# Since the official upstream download page at https://cfengine.com/product/community/
# is dynamically generated from many layers of JSON files, we instead look at the
# GitHub releases page to get a list of versions and then construct the URLs for
# release tarballs from them.
# Therefore, the following looks pretty ugly. If someone finds a sane way to improve it,
# please do so!
# only the release version devisible by 3 are LTS version.
# This is the reason for the long regex
opts=downloadurlmangle=s%https://github.com/cfengine/core/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-community-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-$1$3%,\
		uversionmangle=s/(\d+\.\d+\.\d+).*/$1/ \
	https://github.com/cfengine/core/tags        .*/(\d+\.([0369]|[147][0369]*([147][0369]*[258[0369]*)*([147][0369]*[147]|[258])|[258][0369]*([258][0369]*[147][0369]*)*([258][0369]*[258]|[147]))+\.\d+)@ARCHIVE_EXT@
opts=component=masterfiles,downloadurlmangle=s%https://github.com/cfengine/masterfiles/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-masterfiles-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-masterfiles-$1$3%,\
		uversionmangle=s/(\d+\.\d+\.\d+).*/$1/ \
	https://github.com/cfengine/masterfiles/tags .*/(\d+\.([0369]|[147][0369]*([147][0369]*[258][0369]*)*([147][0369]*[147]|[258])|[258][0369]*([258][0369]*[147][0369]*)*([258][0369]*[258]|[147]))\.\d+)@ARCHIVE_EXT@

## cfengine3 3.24.2

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -206,13 +206,13 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr/core/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing automake-1.15
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr/core/missing automake-1.15
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -315,10 +315,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.24.1
+PACKAGE_STRING = cfengine 3.24.2
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.24.1
+PACKAGE_VERSION = 3.24.2
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -331,7 +331,7 @@
 PCRE2_LIBS = -lpcre2-8  
 PCRE2_PATH = default path
 PERL = /usr/bin/perl
-PKG_CONFIG = 
+PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PLATFORM_SELINUX_POLICIES = 
@@ -364,14 +364,14 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.24.1
+VERSION = 3.24.2
 XML2_CONFIG = 
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@4/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core
+abs_builddir = /home/jenkins/workspace/bootstrap-pr/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-pr/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-pr/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN =

=== debian/changelog ===
cfengine3 (3.24.2-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:03 +0200

cfengine3 (3.24.2-1) unstable; urgency=medium

  * New upstream version 3.24.2
  * update my uploader email
  * remove unused patch files

 -- Christoph Martin <chrism@debian.org>  Fri, 16 May 2025 14:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
+Maintainer: CFEngine Team <team+cfengine@tracker.debian.org>
 Uploaders:
- Christoph Martin <martin@uni-mainz.de>,
+ Christoph Martin <chrism@debian.org>,
 Build-Depends:
  bison,
  debhelper (>= 10),
